%define module_name atl2

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: 2.0.4
Release: alt1
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
Url: http://people.redhat.com/csnook/atl2/
BuildArch: noarch
Source0: %module_name-%version.tar.bz2
# https://bugzilla.redhat.com/show_bug.cgi?id=249382
Patch0: atl2-2.0.3-tx_bytes.patch

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
This package contains sources of the Linux driver for the Attansic(R) L2
Gigabit Ethernet Adapter (unofficial version from RedHat).

%prep
%setup -c
pushd atl2-%version
%patch0 -p1
popd

%install
%__mkdir -p %buildroot%_usrsrc/kernel/sources/
%__mv %module_name-%version kernel-source-%module_name-%version
%__tar -c kernel-source-%module_name-%version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

%changelog
* Sat Feb 16 2008 L.A. Kostis <lakostis@altlinux.ru> 2.0.4-alt1
- New upstream version (as in Fedora 8).

* Tue Dec 25 2007 L.A. Kostis <lakostis@altlinux.ru> 2.0.3-alt1
- New unofficial version from RedHat.
- Add patch fixing tx byte statistics (by Andy Shevchenko).
- Add cleanup SET_MODULE_OWNER patch for 2.6.24 compatibility.

* Thu Aug 09 2007 L.A. Kostis <lakostis@altlinux.ru> 1.0.40.2-alt1
- use correct GPLv2 License tag.
- initial build for ALTLinux.

